<?php

/**
 * @file
 * Default views for Gift Exchange module.
 */

/**
 * Implements hook_views_default_views().
 */
function gift_exchange_views_default_views() {

  $views = array();

  // My parties.
  $views['ge_my_parties'] = _gift_exchange_view_ge_my_parties();

  // Members of party.
  $views['ge_members'] = _gift_exchange_view_ge_members();

  // Exceptions of party.
  $views['ge_exceptions'] = _gift_exchange_view_ge_exceptions();

  // Connections of party.
  $views['ge_connections'] = _gift_exchange_view_ge_connections();

  // Return views.
  return $views;
}

/**
 * My Parties view.
 *
 * @return object
 *   View.
 */
function _gift_exchange_view_ge_my_parties() {
  $view = new view();
  $view->name = 'ge_my_parties';
  $view->description = 'Gift Exchange Parties';
  $view->tag = 'Gift Exchange';
  $view->base_table = 'node';
  $view->human_name = '[Gift Exchange]My Parties';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'My Parties';
  $handler->display->display_options['css_class'] = 'party-list';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access gift exchange';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Search';
  $handler->display->display_options['exposed_form']['options']['autosubmit'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '12';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '13';
  $handler->display->display_options['pager']['options']['quantity'] = '3';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class'] = 'party-list-item [field_ge_status]';
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['label'] = 'No results';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = 'You don\'t have any parties. Start by creating your first <a href="/gift-exchange/my-parties/new">party</a>.';
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['id'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['field'] = 'reverse_field_gift_exchange_node';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Field: Content: Status */
  $handler->display->display_options['fields']['field_ge_status']['id'] = 'field_ge_status';
  $handler->display->display_options['fields']['field_ge_status']['table'] = 'field_data_field_ge_status';
  $handler->display->display_options['fields']['field_ge_status']['field'] = 'field_ge_status';
  $handler->display->display_options['fields']['field_ge_status']['label'] = '';
  $handler->display->display_options['fields']['field_ge_status']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ge_status']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ge_status']['element_default_classes'] = FALSE;
  /* Field: Content: Photo */
  $handler->display->display_options['fields']['field_ge_photo']['id'] = 'field_ge_photo';
  $handler->display->display_options['fields']['field_ge_photo']['table'] = 'field_data_field_ge_photo';
  $handler->display->display_options['fields']['field_ge_photo']['field'] = 'field_ge_photo';
  $handler->display->display_options['fields']['field_ge_photo']['label'] = '';
  $handler->display->display_options['fields']['field_ge_photo']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_ge_photo']['alter']['path'] = 'gift-exchange/my-parties/[nid]';
  $handler->display->display_options['fields']['field_ge_photo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_ge_photo']['element_wrapper_type'] = 'div';
  $handler->display->display_options['fields']['field_ge_photo']['element_wrapper_class'] = 'party-list-photo';
  $handler->display->display_options['fields']['field_ge_photo']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_ge_photo']['empty'] = '<a href="/gift-exchange/my-parties/[nid]" class="no-image"></a>';
  $handler->display->display_options['fields']['field_ge_photo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_ge_photo']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_ge_photo']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'gift-exchange/my-parties/[nid]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = 'div';
  $handler->display->display_options['fields']['title']['element_wrapper_class'] = 'party-list-title';
  $handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Party member count */
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['id'] = 'gift_exchange_party_member_count';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['table'] = 'node';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['field'] = 'gift_exchange_party_member_count';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['label'] = 'M';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_type'] = 'span';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_class'] = 'party-list-members-value';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_label_type'] = 'span';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_label_class'] = 'party-list-members-label';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_wrapper_type'] = 'span';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_wrapper_class'] = 'party-list-members';
  $handler->display->display_options['fields']['gift_exchange_party_member_count']['element_default_classes'] = FALSE;
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['element_wrapper_type'] = 'span';
  $handler->display->display_options['fields']['created']['element_wrapper_class'] = 'party-list-date';
  $handler->display->display_options['fields']['created']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'gift_exchange';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: Content: Party status */
  $handler->display->display_options['fields']['gift_exchange_party_status']['id'] = 'gift_exchange_party_status';
  $handler->display->display_options['fields']['gift_exchange_party_status']['table'] = 'node';
  $handler->display->display_options['fields']['gift_exchange_party_status']['field'] = 'gift_exchange_party_status';
  $handler->display->display_options['fields']['gift_exchange_party_status']['label'] = '';
  $handler->display->display_options['fields']['gift_exchange_party_status']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['gift_exchange_party_status']['alter']['text'] = '<span class="[field_ge_status]" title = "Status [gift_exchange_party_status]">Status: [gift_exchange_party_status]</span>';
  $handler->display->display_options['fields']['gift_exchange_party_status']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['gift_exchange_party_status']['alter']['path'] = 'gift-exchange/my-parties/[nid]';
  $handler->display->display_options['fields']['gift_exchange_party_status']['alter']['alt'] = 'Status: [gift_exchange_party_status]';
  $handler->display->display_options['fields']['gift_exchange_party_status']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['gift_exchange_party_status']['element_wrapper_type'] = 'span';
  $handler->display->display_options['fields']['gift_exchange_party_status']['element_wrapper_class'] = 'party-list-status';
  $handler->display->display_options['fields']['gift_exchange_party_status']['element_default_classes'] = FALSE;
  /* Sort criterion: Content: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['sorts']['changed']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['changed']['expose']['label'] = 'Updated';
  /* Sort criterion: date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['ui_name'] = 'date';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['sorts']['created']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['created']['expose']['label'] = 'Created';
  /* Sort criterion: status */
  $handler->display->display_options['sorts']['field_ge_status_value']['id'] = 'field_ge_status_value';
  $handler->display->display_options['sorts']['field_ge_status_value']['table'] = 'field_data_field_ge_status';
  $handler->display->display_options['sorts']['field_ge_status_value']['field'] = 'field_ge_status_value';
  $handler->display->display_options['sorts']['field_ge_status_value']['ui_name'] = 'status';
  $handler->display->display_options['sorts']['field_ge_status_value']['order'] = 'DESC';
  $handler->display->display_options['sorts']['field_ge_status_value']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['field_ge_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
    3 => 'OR',
    4 => 'OR',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'gift_exchange' => 'gift_exchange',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['relationship'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'gift_exchange_member' => 'gift_exchange_member',
  );
  $handler->display->display_options['filters']['type_1']['group'] = 2;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_2']['id'] = 'type_2';
  $handler->display->display_options['filters']['type_2']['table'] = 'node';
  $handler->display->display_options['filters']['type_2']['field'] = 'type';
  $handler->display->display_options['filters']['type_2']['relationship'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['filters']['type_2']['operator'] = 'empty';
  $handler->display->display_options['filters']['type_2']['group'] = 2;
  /* Filter criterion: Content: Current user is giver */
  $handler->display->display_options['filters']['current_user_mail']['id'] = 'current_user_mail';
  $handler->display->display_options['filters']['current_user_mail']['table'] = 'node';
  $handler->display->display_options['filters']['current_user_mail']['field'] = 'current_user_mail';
  $handler->display->display_options['filters']['current_user_mail']['relationship'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['filters']['current_user_mail']['group'] = 3;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 3;
  /* Filter criterion: Content: Status (field_ge_status) */
  $handler->display->display_options['filters']['field_ge_status_value']['id'] = 'field_ge_status_value';
  $handler->display->display_options['filters']['field_ge_status_value']['table'] = 'field_data_field_ge_status';
  $handler->display->display_options['filters']['field_ge_status_value']['field'] = 'field_ge_status_value';
  $handler->display->display_options['filters']['field_ge_status_value']['operator'] = 'word';
  $handler->display->display_options['filters']['field_ge_status_value']['value'] = 'processed sending_mail';
  $handler->display->display_options['filters']['field_ge_status_value']['group'] = 4;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current_1']['id'] = 'uid_current_1';
  $handler->display->display_options['filters']['uid_current_1']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current_1']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current_1']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current_1']['value'] = '1';
  $handler->display->display_options['filters']['uid_current_1']['group'] = 4;
  /* Filter criterion: Content: Status (field_ge_status) */
  $handler->display->display_options['filters']['field_ge_status_value_1']['id'] = 'field_ge_status_value_1';
  $handler->display->display_options['filters']['field_ge_status_value_1']['table'] = 'field_data_field_ge_status';
  $handler->display->display_options['filters']['field_ge_status_value_1']['field'] = 'field_ge_status_value';
  $handler->display->display_options['filters']['field_ge_status_value_1']['operator'] = 'word';
  $handler->display->display_options['filters']['field_ge_status_value_1']['value'] = 'setup processing sending_mail processed reset unsolvable unsolvable_reset archived';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');

  return $view;
}

/**
 * Members view.
 *
 * @return object
 *   View.
 */
function _gift_exchange_view_ge_members() {
  $view = new view();
  $view->name = 'ge_members';
  $view->description = 'Members of a party';
  $view->tag = 'Gift Exchange';
  $view->base_table = 'node';
  $view->human_name = '[Gift Exchange]Members';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Members';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access gift exchange';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '11';
  $handler->display->display_options['pager']['options']['quantity'] = '3';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'field_gem_email' => 'field_gem_email',
  );
  $handler->display->display_options['style_options']['default'] = 'title';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_gem_email' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['id'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['table'] = 'field_data_field_gift_exchange';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['field'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['id'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['field'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['relationships']['reverse_field_gift_exchange_node']['relationship'] = 'field_gift_exchange_target_id';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Name';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Email */
  $handler->display->display_options['fields']['field_gem_email']['id'] = 'field_gem_email';
  $handler->display->display_options['fields']['field_gem_email']['table'] = 'field_data_field_gem_email';
  $handler->display->display_options['fields']['field_gem_email']['field'] = 'field_gem_email';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'gift_exchange' => 'gift_exchange',
  );
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'gift_exchange_member' => 'gift_exchange_member',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Global: Combine fields filter */
  $handler->display->display_options['filters']['combine']['id'] = 'combine';
  $handler->display->display_options['filters']['combine']['table'] = 'views';
  $handler->display->display_options['filters']['combine']['field'] = 'combine';
  $handler->display->display_options['filters']['combine']['operator'] = 'contains';
  $handler->display->display_options['filters']['combine']['group'] = 1;
  $handler->display->display_options['filters']['combine']['exposed'] = TRUE;
  $handler->display->display_options['filters']['combine']['expose']['operator_id'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['label'] = 'Keyword';
  $handler->display->display_options['filters']['combine']['expose']['operator'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['identifier'] = 'combine';
  $handler->display->display_options['filters']['combine']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['combine']['fields'] = array(
    'title' => 'title',
    'field_gem_email' => 'field_gem_email',
  );
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['relationship'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'gift_exchange_member' => 'gift_exchange_member',
  );
  $handler->display->display_options['filters']['type_1']['group'] = 1;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 2;
  /* Filter criterion: Content: Current user is giver */
  $handler->display->display_options['filters']['current_user_mail']['id'] = 'current_user_mail';
  $handler->display->display_options['filters']['current_user_mail']['table'] = 'node';
  $handler->display->display_options['filters']['current_user_mail']['field'] = 'current_user_mail';
  $handler->display->display_options['filters']['current_user_mail']['relationship'] = 'reverse_field_gift_exchange_node';
  $handler->display->display_options['filters']['current_user_mail']['group'] = 2;

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');

  /* Display: Entity Reference */
  $handler = $view->new_display('entityreference', 'Entity Reference', 'entityreference');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
    'field_gem_email' => 'field_gem_email',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;

  return $view;
}

/**
 * Exceptions view.
 *
 * @return object
 *   View.
 */
function _gift_exchange_view_ge_exceptions() {
  $view = new view();
  $view->name = 'ge_exceptions';
  $view->description = 'Exceptions of a party';
  $view->tag = 'Gift Exchange';
  $view->base_table = 'node';
  $view->human_name = '[Gift Exchange]Exceptions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Exceptions';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access gift exchange';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '12';
  $handler->display->display_options['pager']['options']['quantity'] = '3';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title_1' => 'title_1',
    'title_2' => 'title_2',
  );
  $handler->display->display_options['style_options']['default'] = 'title_1';
  $handler->display->display_options['style_options']['info'] = array(
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['id'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['table'] = 'field_data_field_gift_exchange';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['field'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gee_to_target_id']['id'] = 'field_gee_to_target_id';
  $handler->display->display_options['relationships']['field_gee_to_target_id']['table'] = 'field_data_field_gee_to';
  $handler->display->display_options['relationships']['field_gee_to_target_id']['field'] = 'field_gee_to_target_id';
  $handler->display->display_options['relationships']['field_gee_to_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gee_from_target_id']['id'] = 'field_gee_from_target_id';
  $handler->display->display_options['relationships']['field_gee_from_target_id']['table'] = 'field_data_field_gee_from';
  $handler->display->display_options['relationships']['field_gee_from_target_id']['field'] = 'field_gee_from_target_id';
  $handler->display->display_options['relationships']['field_gee_from_target_id']['required'] = TRUE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_gee_from_target_id';
  $handler->display->display_options['fields']['title_1']['label'] = 'Giver';
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'field_gee_to_target_id';
  $handler->display->display_options['fields']['title_2']['label'] = 'Receiver';
  $handler->display->display_options['fields']['title_2']['link_to_node'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'gift_exchange' => 'gift_exchange',
  );
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 1;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'gift_exchange_exception' => 'gift_exchange_exception',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Global: Combine fields filter */
  $handler->display->display_options['filters']['combine']['id'] = 'combine';
  $handler->display->display_options['filters']['combine']['table'] = 'views';
  $handler->display->display_options['filters']['combine']['field'] = 'combine';
  $handler->display->display_options['filters']['combine']['operator'] = 'contains';
  $handler->display->display_options['filters']['combine']['exposed'] = TRUE;
  $handler->display->display_options['filters']['combine']['expose']['operator_id'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['label'] = 'Keyword';
  $handler->display->display_options['filters']['combine']['expose']['operator'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['identifier'] = 'combine';
  $handler->display->display_options['filters']['combine']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['combine']['fields'] = array(
    'title_1' => 'title_1',
    'title_2' => 'title_2',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');

  return $view;
}

/**
 * Connections view.
 *
 * @return object
 *   View.
 */
function _gift_exchange_view_ge_connections() {
  $view = new view();
  $view->name = 'ge_connections';
  $view->description = 'Connections of a party';
  $view->tag = 'Gift Exchange';
  $view->base_table = 'node';
  $view->human_name = '[Gift Exchange]Connections';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Connections';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access gift exchange';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '3';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title_1' => 'title_1',
    'title_2' => 'title_2',
  );
  $handler->display->display_options['style_options']['default'] = 'title_1';
  $handler->display->display_options['style_options']['info'] = array(
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['id'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['table'] = 'field_data_field_gift_exchange';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['field'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['relationships']['field_gift_exchange_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gec_to_target_id']['id'] = 'field_gec_to_target_id';
  $handler->display->display_options['relationships']['field_gec_to_target_id']['table'] = 'field_data_field_gec_to';
  $handler->display->display_options['relationships']['field_gec_to_target_id']['field'] = 'field_gec_to_target_id';
  $handler->display->display_options['relationships']['field_gec_to_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_gec_from_target_id']['id'] = 'field_gec_from_target_id';
  $handler->display->display_options['relationships']['field_gec_from_target_id']['table'] = 'field_data_field_gec_from';
  $handler->display->display_options['relationships']['field_gec_from_target_id']['field'] = 'field_gec_from_target_id';
  $handler->display->display_options['relationships']['field_gec_from_target_id']['required'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_gec_from_target_id';
  $handler->display->display_options['fields']['title_1']['label'] = 'Giver';
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'field_gec_to_target_id';
  $handler->display->display_options['fields']['title_2']['label'] = 'Receiver';
  $handler->display->display_options['fields']['title_2']['link_to_node'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_gift_exchange_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'gift_exchange' => 'gift_exchange',
  );
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 1;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'gift_exchange_connection' => 'gift_exchange_connection',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Global: Combine fields filter */
  $handler->display->display_options['filters']['combine']['id'] = 'combine';
  $handler->display->display_options['filters']['combine']['table'] = 'views';
  $handler->display->display_options['filters']['combine']['field'] = 'combine';
  $handler->display->display_options['filters']['combine']['operator'] = 'contains';
  $handler->display->display_options['filters']['combine']['exposed'] = TRUE;
  $handler->display->display_options['filters']['combine']['expose']['operator_id'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['label'] = 'Keyword';
  $handler->display->display_options['filters']['combine']['expose']['operator'] = 'combine_op';
  $handler->display->display_options['filters']['combine']['expose']['identifier'] = 'combine';
  $handler->display->display_options['filters']['combine']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['combine']['fields'] = array(
    'title_1' => 'title_1',
    'title_2' => 'title_2',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');

  return $view;
}
